> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a cue pack



## OpenAPI

````yaml api-reference/openapi.json get /cue-packs/{cue_pack_id}
openapi: 3.1.0
info:
  title: WavMaker API
  description: ''
  version: 1.0.0
servers:
  - url: https://www.wavmaker.com/api/v1
    description: Prod Env
security:
  - bearerToken: []
tags:
  - name: Songs
  - name: Categories
  - name: Cue Packs
  - name: Artists
paths:
  /cue-packs/{cue_pack_id}:
    get:
      tags:
        - Cue Packs
      summary: Retrieve a cue pack
      operationId: retrieve-cue-pack
      parameters:
        - name: cue_pack_id
          in: path
          description: ''
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CuePack'
              example:
                id: action-drama
                name: Action Drama
                description: >-
                  High-energy scores for pulse-pounding twists and climactic
                  showdowns.
                image:
                  sm: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6Mjc0NDUsInB1ciI6ImJsb2JfaWQifX0=--53a7c665a770ae285cd6845be66fe031b6e2817c/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJqcGciLCJyZXNpemVfdG9fZmlsbCI6WzEwMCwxMDBdfSwicHVyIjoidmFyaWF0aW9uIn19--8530721d0ac08e797a26f4f5f17d562cc07f33e5/Action%20Drama.jpg
                  md: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6Mjc0NDUsInB1ciI6ImJsb2JfaWQifX0=--53a7c665a770ae285cd6845be66fe031b6e2817c/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJqcGciLCJyZXNpemVfdG9fZmlsbCI6WzQwMCw0MDBdfSwicHVyIjoidmFyaWF0aW9uIn19--14ffcfba21c57d89cd678123183a286c9dce3903/Action%20Drama.jpg
                  lg: >-
                    https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6Mjc0NDUsInB1ciI6ImJsb2JfaWQifX0=--53a7c665a770ae285cd6845be66fe031b6e2817c/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJqcGciLCJyZXNpemVfdG9fZmlsbCI6WzEwMDAsMTAwMF19LCJwdXIiOiJ2YXJpYXRpb24ifX0=--e4fa80e8749b861e9e7bb5997bbe9c4a42877646/Action%20Drama.jpg
          headers: {}
      deprecated: false
      security:
        - bearerToken: []
components:
  schemas:
    CuePack:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        image:
          $ref: '#/components/schemas/Image'
      required:
        - id
        - name
        - description
        - image
    Image:
      type: object
      properties:
        sm:
          type: string
          description: 100x100 pixels
        md:
          type: string
          description: 400x400 pixels
        lg:
          type: string
          description: 1000x1000 pixels
      required:
        - sm
        - md
        - lg
  securitySchemes:
    bearerToken:
      type: http
      scheme: bearer

````